List volumes
curl --request GET \
--url https://api.rafftechnologies.com/api/v1/volumes \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rafftechnologies.com/api/v1/volumes"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rafftechnologies.com/api/v1/volumes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": 123,
"name": "data-vol-1",
"volume_type": "nvme",
"size": 100,
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_vm": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price_per_hour": "<string>",
"region": "us-east",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123
}{
"error": "<string>",
"message": "<string>"
}Volumes
List Volumes
List volumes for the authenticated account. Filter by VM or region.
Pass X-Project-ID to scope the list to a single project. When omitted, returns volumes across every project the API key has access to.
GET
/
api
/
v1
/
volumes
List volumes
Updated May 8, 2026
Authorizations
API key for authentication. Each key is bound to a specific account.
Headers
Optional project ID to scope the list. Omit to list across all accessible projects.
Query Parameters
Filter by attached VM UUID
Filter by region
Available options:
us-east Last modified on May 8, 2026
⌘I